跳转到主要内容
数据保护/备份管理相关接口
GETBackup Management Interfaces起始版本 3.0.0同步需要认证

获取数据库备份

获取数据库备份

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • urlString必填

    镜像存储URL

  • registryPortint

    镜像仓库访问端口

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • infosList必填

    详情参考infos

    • idString必填

      镜像仓库中的id

    • parentString必填

      父镜像名称

    • blobsumString必填

      镜像hash码

    • createdTimestamp必填

      镜像提交时间

    • authorString必填

      镜像制作者

    • archString必填

      镜像的os结构

    • descString必填

      镜像描述

    • sizeLong必填

      镜像的真实大小

    • virtualsizeLong必填

      镜像的虚拟大小

    • nameString必填

      镜像仓库中的镜像名称

请求地址

GET/zstack/v1/database-backups/image-store

/zstack/v1/database-backups/image-store

操作 ID

GetDatabaseBackupFromImageStore

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/database-backups/image-store?url=<url>&registryPort=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "infos": [ { "id": "270c67e3699f72ba", "created": "Nov 14, 2017 10:20:57 PM", "author": "cloud", "arch": "amd64", "size": 7995392.0, "virtualsize": 1.268224E7, "name": "78b6afbc9da73932a000fb9a75947962" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史